#### 3.1.2 Options That are Common for All Utilities. ¶

All GNU Mailutils programs understand a common subset of options.

`--help` ¶
`-?`

  Display a short summary of the command line options understood by this utilities, along with a terse description of each.

  The output of this option consists of three major parts. First, a usage synopsis is displayed. For example:

      Usage: sieve [OPTION...] SCRIPT
      GNU sieve -- a mail filtering tool

  The first line tells that the `sieve` utility takes any number of options (brackets indicate optional part) and a single mandatory argument (‘`SCRIPT`’). The second lines summarizes the purpose of the utility.

  Following this header is an option summary. It consists of two columns:

        -c, --compile-only         Compile script and exit
        -d, --debug[=FLAGS]        Debug flags
        -e, --email=ADDRESS        Override user email address

  The leftmost column contains a comma-separated list of option names. Short options are listed first. The options are ordered alphabetically. Arguments, if any, are specified after the last option name in the list, so that, e.g. the option ‘`-e`’ in the example above requires an argument: ‘`-e ADDRESS`’. Optional arguments are enclosed in square brackets, as in `--debug` option in the example above.

  The rightmost column contains a short description of the option purpose.

  The last part of `--help` output contains some additional notices and lists the email address for reporting bugs.

`--usage` ¶

  Display a short summary of options. In the contrast to the `--help` option, only option names and arguments are printed, without any textual description. For example:

      Usage: sieve [-cv?V] [--compile-only] [--debug[=FLAGS]]
                   [--email=ADDRESS] SCRIPT

The exact formatting of the output produced by these two options is configurable. See Configuring Help Summary, for a detailed descriptions of it.

`--version` ¶
`-V`

  Print program version and exit.

`--show-config-options` ¶

  Show configuration options used when compiling the package. You can use this option to verify if support for a particular mailbox format or other functionality is compiled in the binary. The output of this option is intended to be both machine-readable and understandable by humans.

The following command line options affect parsing of configuration files. Here we provide a short summary, the next section will describe them in detail.

`--config-file=file` ¶

  Load this configuration file, instead of the default.

`--config-help` ¶

  Show configuration file summary.

`--config-lint` ¶

  Check configuration file syntax and exit

`--config-verbose` ¶

  Verbosely log parsing of the configuration files.

`--no-site-config` ¶

  Do not load site-wide configuration file.

`--no-user-config` ¶

  Do not load user configuration file.

`--no-config` ¶

  Don’t load site-wide and user configuration files.

`--set=path=value` ¶

  Set configuration variable. See the --set option.